[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnStartDock

Event handler for the start of a docking operation

## Declaration

Source position: controls.pp line 1241

`protected property TControl.OnStartDock: TStartDockEvent read FOnStartDock write FOnStartDock;`

## Description

The handler can provide a special DragDock object, otherwise a default object is created.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.